echo off
rem TS58.03
rem : %1 BMC_IP@ , %2 user , %3 password , %4 module number 
rem
echo ******************** IMPORTANT *************************
echo ********************************************************
echo ** DO NOT CUT OFF the main AC power of bullion server **
echo ** during the the PDBPIC / EMM update                 **
echo ** the server MUST BE IN 'STANDBY' MODE (= POWER OFF) **
echo ********************************************************
echo .

:startPDBPIC
echo ====================================================
echo ==========   Start update of PDBPIC    =============
echo ====================================================
echo ************* The current version is : ************* 
ipmitool.exe -H %1 -U %2 -P %3 bulloem ver PDBPIC %4 > resu
grep 6 resu
 IF %ERRORLEVEL% EQU 0 goto skipPDBPIC
type resu
echo on
ipmitool.exe -H %1 -U %2 -P %3 bulloem upgrade PDBPIC\raw_flash_pdbpic_firmware_06.hex PDBPIC %4
echo off
    IF %ERRORLEVEL% GTR 0 goto erreur
echo off
echo ====================================================
echo ===========    End update of PDBPIC     ============
goto startBMC

:skipPDBPIC
echo =======  No need to update PDBPIC firmware  ========


:startBMC
echo ====================================================
echo ============   Start update of BMC    ==============
echo ====================================================
echo ************* The current version is : ************* 
ipmitool.exe -H %1 -U %2 -P %3 bulloem ver BMC %4 > resu
grep 11.20.5 resu
 IF %ERRORLEVEL% EQU 0 goto skipBMC
type resu
echo on
ipmitool.exe -H %1 -U %2 -P %3 bulloem upgrade EMM\fw-wub-wpcm450_bulldc_MESCA_112005_0006.bin BMC %4
echo off
    IF %ERRORLEVEL% GTR 0 goto erreur
echo off
echo ====================================================
echo =============    End update of BMC     =============
goto endBMC

:skipBMC
echo =========  No need to update BMC firmware  =========
goto END

:endBMC
echo ====================================================
echo .

ipmitool.exe -H %1 -U %2 -P %3 bmc reset cold > resu
echo ************************************************
echo ************************************************	
echo ***    Automatic BMC reset started.          ***
echo ***    Please wait a few minutes             ***
echo *** to reconnect the System Hardware Console ***
echo ************************************************
echo ************************************************
goto END

:erreur
echo off
echo .	 
echo **************************************************************************************
echo * An error has occured, check the messages above                                     *
echo * The firmware upgrade is not fully completed                                        *
echo *                                                                                    *
echo * Usage : flashFW.bat  BMC_IP@  user  password  module_number                        *
echo * example : flashFW.bat 10.1.1.2 super pass 0                                        *
echo **************************************************************************************
echo .

:END
echo .
echo ***  END of firmware update procedure ***